## codelite 13.0

=== Docker/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.8)

# set the plugin name here
set( PLUGIN_NAME "Docker")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" 
                    "${CL_SRC_ROOT}/sdk/wxsqlite3/include" 
                    "${CL_SRC_ROOT}/CodeLite" 
                    "${CL_SRC_ROOT}/PCH" 
                    "${CL_SRC_ROOT}/Interfaces")

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)
add_definitions(-DASTYLE_LIB)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()

FILE(GLOB SRCS "*.cpp")

# Define the output
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
target_link_libraries(${PLUGIN_NAME}
                      ${LINKER_OPTIONS}
                      ${wxWidgets_LIBRARIES}
                      libcodelite
                      plugin
                      )

# Use CodeLite's macro: CL_INSTALL_PLUGIN which handles both OSX and Linux installation
CL_INSTALL_PLUGIN(${PLUGIN_NAME})

=== codelite_terminal/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)
 
# Our project is called 'codelite' this is how it will be called in
# visual studio, and in our makefiles. 
project(codelite-terminal)

if ( UNIX OR MINGW AND NOT APPLE )
    find_package(wxWidgets COMPONENTS std stc aui REQUIRED)
else ( UNIX AND NOT APPLE )
    find_package(wxWidgets COMPONENTS std stc REQUIRED)
endif ( UNIX OR MINGW AND NOT APPLE )

# we need wxWidgets flags to be set only for the c++ files, so we do it like this
# by setting the CMAKE_CXX_FLAGS
if ( NOT MINGW )
    execute_process(COMMAND ${CL_WX_CONFIG} --debug=no --cxxflags OUTPUT_VARIABLE WX_CXX_FLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
else ()
    execute_process(COMMAND sh ${CL_WX_CONFIG} --debug=no --cxxflags OUTPUT_VARIABLE WX_CXX_FLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
endif ()
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WX_CXX_FLAGS}")

add_definitions(-DNDEBUG)

# prepare list of files
FILE(GLOB SRCS "*.cpp")

# Define the output
set (RES_FILE "")
if (MINGW)
    set (RES_FILE "win_resources.rc")
endif()
add_executable(codelite-terminal ${SRCS} ${RES_FILE})

set ( UTIL_LIB "" )
if ( UNIX )
    set( UTIL_LIB "-lutil")
endif ( UNIX )

include_directories(${CL_SRC_ROOT}/Interfaces)
include_directories(${CL_SRC_ROOT}/CodeLite)
include_directories(${CL_SRC_ROOT}/Plugin)
add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)

target_link_libraries(codelite-terminal ${LINKER_OPTIONS} ${wxWidgets_LIBRARIES} ${UTIL_LIB} libcodelite plugin)

if(APPLE)
    install(TARGETS codelite-terminal 
            DESTINATION 
            ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS)
    CL_INSTALL_NAME_TOOL_STD(
        ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/codelite-terminal)
        
    install(TARGETS plugin DESTINATION 
            ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS)
    CL_INSTALL_NAME_TOOL_STD(
        ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/libplugin.dylib)

    install(TARGETS libcodelite DESTINATION 
            ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS)
    CL_INSTALL_NAME_TOOL_STD(
        ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/liblibcodelite.dylib)

    install(TARGETS wxsqlite3 DESTINATION 
            ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS)
    CL_INSTALL_NAME_TOOL_STD(
        ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/libwxsqlite3.dylib)

    # @executable_path/../../../
    CL_INSTALL_NAME_TOOL_EX("libwx" "@executable_path" 
                ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/codelite-terminal)
    CL_INSTALL_NAME_TOOL_EX("libwxsqlite3" "@executable_path" 
                ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/codelite-terminal)
    CL_INSTALL_NAME_TOOL_EX("liblibcodelite" "@executable_path" 
                ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/codelite-terminal)
    CL_INSTALL_NAME_TOOL_EX("libplugin" "@executable_path" 
                ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/codelite-terminal.app/Contents/MacOS/codelite-terminal)
else()
    install(TARGETS codelite-terminal DESTINATION ${CL_PREFIX}/bin)
endif()
add_dependencies(codelite-terminal plugin)

=== sqlite3/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)
 
# Our project is called 'sqlite3' this is how it will be called in
# visual studio, and in our makefiles. 
project(sqlite3lib)
 
# For convenience we define the sources as a variable. You can add 
# header files and cpp/c files and CMake will sort them out
FILE(GLOB SRCS "*.c")
 
# Define the output
add_library(sqlite3lib STATIC  ${SRCS})
if (UNIX)
SET_TARGET_PROPERTIES( sqlite3lib  PROPERTIES COMPILE_FLAGS -fPIC)
endif ()

#install(TARGETS sqlite3 DESTINATION ${PLUGINS_DIR})

=== sdk/codelite_cppcheck/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)
 
# Our project is called 'codelite' this is how it will be called in
# visual studio, and in our makefiles. 
project(codelitegcc)

# Include paths
include_directories("${CL_SRC_ROOT}/sdk/codelite_cppcheck/lib" "${CL_SRC_ROOT}/sdk/codelite_cppcheck/cli")

set( ADDITIONAL_LIBRARIES "" )

if(WIN32)
set(ADDITIONAL_LIBRARIES "-lshlwapi")
endif(WIN32)

include_directories("${CL_SRC_ROOT}/sdk/codelite_cppcheck/externals/tinyxml")
include_directories("${CL_SRC_ROOT}/sdk/codelite_cppcheck/externals/simplecpp")
FILE(GLOB SRCS "cli/*.cpp" "lib/*.cpp" "externals/*/*.cpp")

# CppChecker 1.63 requires files stored in cfg/ at run-time.  For some daft reason, it only looks for this by default inside ${BINDIR/},
# which (at least for Linux) is _not_ the correct location. So we have to set an alternative place, and tell it at *compile-time*.
# AFAICT you can't just add an env var at run-time :/
if ( UNIX AND NOT APPLE )
    add_definitions(-DCFGDIR=\"${CL_PREFIX}/share/codelite/config/cfg\")
elseif ( APPLE )
    add_definitions(-DCFGDIR=\"config/cppcheck\")
endif()

# Define the output
add_executable(codelite_cppcheck ${SRCS})
target_link_libraries(codelite_cppcheck ${LINKER_OPTIONS} ${ADDITIONAL_LIBRARIES})

CL_INSTALL_EXECUTABLE(codelite_cppcheck)

if(NOT APPLE)
    install(
          DIRECTORY ${CL_SRC_ROOT}/sdk/codelite_cppcheck/cfg
          DESTINATION ${CL_PREFIX}/share/codelite/config
          USE_SOURCE_PERMISSIONS
          PATTERN ".svn" EXCLUDE
          PATTERN ".git" EXCLUDE
    ) 
endif()

=== sdk/wxsqlite3/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)
 
# Our project is called 'wxsqlite3' this is how it will be called in
# visual studio, and in our makefiles. 
project(wxsqlite3)

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS core base REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# When building wxsqlite3, use MAKINGDLL 
if(WIN32)
    add_definitions(-DWXMAKINGDLL_WXSQLITE3)
endif(WIN32)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

include_directories(./include ${SQLITE3_INCLUDE_DIR})

if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()


# For convenience we define the sources as a variable. You can add 
# header files and cpp/c files and CMake will sort them out
set(SRCS src/wxsqlite3.cpp)

# Define the output
add_library(wxsqlite3 SHARED ${SRCS})
target_link_libraries(wxsqlite3 ${LINKER_OPTIONS} ${wxWidgets_LIBRARIES} -L"${CL_LIBPATH}" ${SQLITE3_LIBRARY})

if (NOT MINGW)
    if(APPLE)
        install(TARGETS wxsqlite3 DESTINATION ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/)
        CL_INSTALL_NAME_TOOL_STD(${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/libwxsqlite3.dylib)
    else()
        install(TARGETS wxsqlite3 DESTINATION ${PLUGINS_DIR})
    endif()
else ()
    install(TARGETS wxsqlite3 RUNTIME DESTINATION ${CL_PREFIX}/bin LIBRARY DESTINATION ${CL_PREFIX}/lib ARCHIVE DESTINATION ${CL_PREFIX}/lib)
endif()

=== which/2.16/which-2.16/Makefile ===
# Makefile.in generated by automake 1.7.2 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = ../which-2.16-src
top_srcdir = ../which-2.16-src
resdir = res
VPATH = ../which-2.16-src $(resdir)
pkgdatadir = $(datadir)/which
pkglibdir = $(libdir)/which
pkgincludedir = $(includedir)/which
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /bin/install.exe -cp
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /cygdrive/k/Misc/which/2.16/which-2.16-src/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /cygdrive/k/Misc/which/2.16/which-2.16-src/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /cygdrive/k/Misc/which/2.16/which-2.16-src/missing --run autoconf
AUTOHEADER = ${SHELL} /cygdrive/k/Misc/which/2.16/which-2.16-src/missing --run autoheader
AUTOMAKE = ${SHELL} /cygdrive/k/Misc/which/2.16/which-2.16-src/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -Wall -O3 -fms-extensions -mms-bitfields  -fno-exceptions -fomit-frame-pointer -march=i386 -mcpu=i686  
CPP = gcc -E
CPPFLAGS =   -D__GW32__ -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64     -idirafter e:/progra~1/gnuwin32/include -idirafter h:/glibc/include   
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H -DINSTALLDIR=\"$(prefix)\" -DENABLE_RELOCATABLE 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = .exe
INSTALL_DATA = /bin/install.exe -cp
INSTALL_PROGRAM = /bin/install.exe -cp
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-s -Wl,--force-exe-suffix -Wl,--enable-auto-import -Wl,--enable-runtime-pseudo-reloc -Wl,--allow-multiple-definition  
LIBOBJS = 
LIBS =  -Wl,-s  -Le:/progra~1/gnuwin32/lib -lgw32c  -liberty -lintl -liconv -lwsock32 -lole32 -luuid -lmsvcp60  
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /cygdrive/k/Misc/which/2.16/which-2.16-src/missing --run makeinfo
OBJEXT = o
PACKAGE = which
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 2.16
MAJOR=$(shell echo $(VERSION) | sed -e "s/\..*$$//")
MINOR=$(shell echo $(VERSION) | sed -e "s/^[^\.]*\.0*\([0-9]\+\).*$$/\1/")
VERSADD = -Wl,--major-image-version=$(MAJOR) -Wl,--minor-image-version=$(MINOR) 
ac_ct_CC = gcc
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = i386-pc-mingw32
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = i386-pc-mingw32
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /cygdrive/k/Misc/which/2.16/which-2.16-src/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = c:/progra~1/Which
program_transform_name = s,$$,,;s,^,,;s/i386-pc-mingw32//
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = i386-pc-mingw32
AUTOMAKE_OPTIONS = no-texinfo.tex

SUBDIRS = tilde .

BUILT_SOURCES = 
EXTRA_DIST = LICENSE $(man_MANS) $(BUILT_SOURCES) README.alias README EXAMPLES which.1
DISTCLEANFILES = config.cache config.log config.h

bin_PROGRAMS = which

which_SOURCES = \
	getopt.c \
	getopt1.c \
	bash.c \
	which.c \
	bash.h \
	sys.h \
	getopt.h \
	posixstat.h	\
	which-res.rc


LDADD = $(top_builddir)/tilde/libtilde.a
info_TEXINFOS = which.texinfo
man_MANS = which.1

MAINTAINERCLEANFILES = aclocal.m4 Makefile.in config.h.in stamp-h.in configure \
        ChangeLog EXAMPLES which-2.spec index.html cvslog-*.html README \
	texinfo2man which.1 install-sh missing mkinstalldirs \
	config.cache config.log depcomp compile config.status

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = maintMakefile
bin_PROGRAMS = which$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_which_OBJECTS = getopt.$(OBJEXT) getopt1.$(OBJEXT) bash.$(OBJEXT) \
	which.$(OBJEXT) which-res.$(OBJEXT)
which_OBJECTS = $(am_which_OBJECTS)
which_LDADD = $(LDADD)
which_DEPENDENCIES = $(top_builddir)/tilde/libtilde.a
which_LDFLAGS = $(VERSADD)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/bash.Po ./$(DEPDIR)/getopt.Po \
	./$(DEPDIR)/getopt1.Po ./$(DEPDIR)/which.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(which_SOURCES)
am__TEXINFO_TEX_DIR = $(srcdir)
INFO_DEPS = which.info
DVIS = which.dvi
PDFS = which.pdf
PSS = which.ps
TEXINFOS = which.texinfo

NROFF = nroff
MANS = $(man_MANS)

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
	Makefile.in NEWS acinclude.m4 aclocal.m4 compile config.h.in \
	configure configure.in depcomp install-sh maintMakefile.in \
	mdate-sh missing mkinstalldirs stamp-vti version.texi
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(which_SOURCES)

all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .dvi .info .o .obj .pdf .ps .texinfo .rc .exe

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: # $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4): # configure.in acinclude.m4
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in: # $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
maintMakefile: $(top_builddir)/config.status maintMakefile.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
which$(EXEEXT): $(which_OBJECTS) $(which_DEPENDENCIES) 
	@rm -f which$(EXEEXT)
	$(LINK) $(which_LDFLAGS) $(which_OBJECTS) $(which_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/bash.Po
include ./$(DEPDIR)/getopt.Po
include ./$(DEPDIR)/getopt1.Po
include ./$(DEPDIR)/which.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

# Rule to make compiled resource (Windows)
.rc.o:
	windres --include-dir $(resdir) -i $< -o $@

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.texinfo.info:
	@rm -f $@ $@-[0-9] $@-[0-9][0-9]
	$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
	 -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.texinfo.dvi:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
	$(TEXI2DVI) `test -f '$<' || echo '$(srcdir)/'`$<

.texinfo.pdf:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
	$(TEXI2PDF) `test -f '$<' || echo '$(srcdir)/'`$<
which.info: which.texinfo version.texi
which.dvi: which.texinfo version.texi
which.pdf: which.texinfo version.texi
version.texi: # stamp-vti
stamp-vti: which.texinfo $(top_srcdir)/configure
	@(dir=.; test -f ./which.texinfo || dir=$(srcdir); \
	set `$(SHELL) $(srcdir)/mdate-sh $$dir/which.texinfo`; \
	echo "@set UPDATED $$1 $$2 $$3"; \
	echo "@set UPDATED-MONTH $$2 $$3"; \
	echo "@set EDITION $(VERSION)"; \
	echo "@set VERSION $(VERSION)") > vti.tmp
	@cmp -s vti.tmp version.texi \
	  || (echo "Updating version.texi"; \
	      cp vti.tmp version.texi)
	-@rm -f vti.tmp
	@cp version.texi $@

mostlyclean-vti:
	-rm -f vti.tmp

maintainer-clean-vti:
#	-rm -f stamp-vti version.texi
TEXI2DVI = texi2dvi

TEXI2PDF = $(TEXI2DVI) --pdf --batch
DVIPS = dvips
.dvi.ps:
	$(DVIPS) -o $@ $<

uninstall-info-am:
	$(PRE_UNINSTALL)
	@if (install-info --version && \
	     install-info --version | grep -i -v debian) >/dev/null 2>&1; then \
	  list='$(INFO_DEPS)'; \
	  for file in $$list; do \
	    relfile=`echo "$$file" | sed 's|^.*/||'`; \
	    echo " install-info --info-dir=$(DESTDIR)$(infodir) --remove $(DESTDIR)$(infodir)/$$relfile"; \
	    install-info --info-dir=$(DESTDIR)$(infodir) --remove $(DESTDIR)$(infodir)/$$relfile; \
	  done; \
	else :; fi
	@$(NORMAL_UNINSTALL)
	@list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  relfile=`echo "$$file" | sed 's|^.*/||'`; \
	  (if cd $(DESTDIR)$(infodir); then \
	     echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9])"; \

=== debian/changelog ===
codelite (13.0-1unofficial3.bionic) bionic; urgency=low

  * New Language Server Plugin for code-completion
  * The wxCrafter plugin is now open-source and included in the main package
  * Multiple UI changes

 -- David Hart <david@codelite.co.uk>  Mon, 13 May 2019 12:30:16 +0100

codelite (12.0-1) stable; urgency=low

  * Code-completion improvements
  * Cosmetic improvements

 -- David Hart <david@codelite.co.uk>  Sun, 25 Feb 2018 14:35:10 +0000

codelite (11.0-1) stable; urgency=low

  * New Vim-mode plugin that provides vim-like keybinding
  * New PHP-lint plugin
  * Improvements to the Diff viewer 

 -- David Hart <david@codelite.co.uk>  Mon, 09 Oct 2017 14:09:38 +0100

codelite (10.0-1) stable; urgency=low

  * New plugin 'Tail' for viewing log files
  * New plugin 'EditorConfig' for editorconfig support
  * New plugin 'Auto Save' 
  * Git plugin: added git blame functionality 

 -- David Hart <david@codelite.co.uk>  Mon, 02 Jan 2017 10:39:33 +0000

codelite (9.2-1) stable; urgency=low

  * Improved CMake support
  * Merged the find-replace dialog functions into the QuickFind bar
  * Various bug-fixes

 -- David Hart <david@codelite.co.uk>  Sat, 11 Jun 2016 12:40:26 +0100

codelite (9.1-1) stable; urgency=low

  * Support for gdb reverse-debugging
  * Font improvements to make CodeLite retina aware
  * Various bug-fixes

 -- David Hart <david@codelite.co.uk>  Fri, 29 Jan 2016 15:07:22 +0000

codelite (9.0-1) stable; urgency=low

  * PHP and Node.js improvements
  * Tabs can now be configurably on a side of a pane instead of on top
  * Various bug-fixes

 -- David Hart <david@codelite.co.uk>  Sat, 10 Oct 2015 19:24:46 +0100

codelite (8.1-1) stable; urgency=low

  * Support for new workspace type Node.js
  * WebTools plugin now supports Node.js
  * Various enhancements to search dialogs and the Explorer pane

 -- David Hart <david@codelite.co.uk>  Fri, 01 Aug 2015 11:44:20 +0100

codelite (8.0-1) stable; urgency=low

  * A new Webtools plugin for HTML, XML and JavaScript code-completion
  * There is now a wizard for initial configuration
  * Support for using Zeal offline documentation

 -- David Hart <david@codelite.co.uk>  Fri, 01 May 2015 15:30:37 +0100

codelite (7.0-1) stable; urgency=low

  * There is a new PHP plugin
  * There is a new Word-Completion plugin
  * Various editor and code-completion improvements

 -- David Hart <david@codelite.co.uk>  Thu, 05 Feb 2015 13:28:12 +0000

codelite (6.1-1) stable; urgency=low

  * There is a new SpellChecker plugin
  * There is a new MemCheck (valgrind) plugin
  * CodeLite now has many more themes available

 -- David Hart <david@codelite.co.uk>  Sat, 23 Aug 2014 15:26:15 +0100

codelite (6.0-1) stable; urgency=low

  * There is a new LLDB plugin
  * Available compilers are now autodetected
  * It's now possible to Undo/Redo multiple edits at a time

 -- David Hart <david@codelite.co.uk>  Tue, 31 May 2014 19:37:45 +0100

codelite (5.4-1) stable; urgency=low

  * A new plugin, Tweaks, lets the user tweak various CodeLite UI elements
  * A new plugin, CMakePlugin, that (optionally) generates cmake makefiles
  * Added codelite-terminal, a terminal emulator for launching applications
  * CodeLite is now built against the new wxWidgets 3.0 stable release

 -- David Hart <david@codelite.co.uk>  Fri, 10 Jan 2014 10:14:31 +0000

codelite (5.3-1) stable; urgency=low

  * Added a new plugin, SFTP, for ssh workspace-mirroring and browsing
  * Added codelite-make, a cli makefile generator
  * Many improvements and fixes

 -- David Hart <david@codelite.co.uk>  Sun, 20 Oct 2013 22:18:42 +0100

codelite (5.2-1) stable; urgency=low

  * The Debugger pane now has a Disassemble tab
  * Added support for the clang compiler
  * Added syntax highlighting for Javascript

 -- David Hart <david@codelite.co.uk>  Thu, 11 Jul 2013 14:55:59 +0100

codelite (5.1-1) unstable; urgency=low

  * Codelite now supports GDB python pretty printers
  * Added new dark coloring theme: "Zmrok"
  * Added a Czech translation from Miroslav Kučera

 -- David Hart <david@codelite.co.uk>  Wed, 20 Mar 2013 18:59:23 +0000

codelite (4.0.5588-1.maverick) maverick; urgency=low

  * New plugin: Call-Graph, a gui front-end for gprof
  * Improvements to clang code-completion
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Tue, 05 Jun 2012 09:28:41 +0100

codelite (3.5.0.5375-1.maverick) maverick; urgency=low

  * New ability to set different 'perspectives'
  * clang library now included
  * Code-completion performance improvements

 -- David Hart <david@codelite.co.uk>  Tue, 27 Dec 2011 12:50:40 +0000

codelite (3.0.0.5041-1.maverick) maverick; urgency=low

  * New DatabaseExplorer plugin
  * Optional use of clang for additional code-completion
  * Ability to debug core-dumps

 -- David Hart <david@codelite.co.uk>  Mon, 29 Aug 2011 15:09:12 +0100

codelite (2.10.0.4778-1.maverick) maverick; urgency=low

  * New git plugin
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Wed, 13 Apr 2011 14:42:13 +0100

codelite (2.9.0.4684-1) unstable; urgency=low

  * Upgraded scintilla to version 2.2
  * Changes to enable and facilitate i18n
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Fri, 31 Dec 2010 15:02:47 +0000

codelite (2.8.0.4537-1) unstable; urgency=low

  * Debugging: Improved 'Locals' and 'Watches' tabs, and PreDefined Types
  * Improvements to the 'Find in Files' dialog
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Mon, 01 Nov 2010 12:22:19 +0000

codelite (2.7.0.4375-1) unstable; urgency=low

  * New: code completion now supports completion for template inheritance
  * New: Added a 'Find' facility to most of the output-view windows
  * Performance improvements for the codelite_indexer
  * Changes to do with the toolbars icons
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Tue, 07 Sep 2010 12:00:03 +0100

=== debian/control ===
Source: codelite
Section: devel
Priority: optional
Maintainer: David Hart <david@codelite.co.uk>
Build-Depends: debhelper (>= 7.0.50~),  cmake, libclang-dev (>=3.4), liblldb-dev (>=3.9) | liblldb-3.9-dev | liblldb-4.0-dev, libssh-dev | libssh-gcrypt-dev, libhunspell-dev, libsqlite3-dev
Standards-Version: 3.9.1
Homepage: http://www.codelite.org


Package: codelite
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, clang-format
Recommends: gdb, lldb (>=3.4), gnome-terminal | konsole | lxterminal | mate-terminal | qterminal | xfce4-terminal, xterm, nodejs, clang-tools
Conflicts: codelite-plugins, wxcrafter
Description: cross-platform C/C++ RAD
 Codelite is a powerful open-source, cross-platform code editor and RAD.
 It uses a sophisticated yet intuitive interface, which allows the user
 easily to create and build complex projects.
 A particular feature is its excellent code completion.


Package: codelite-dbg
Architecture: any
Depends: codelite (= ${binary:Version})
Recommends: gdb
Description: Debug symbols for CodeLite
 Codelite is a powerful open-source, cross-platform code editor and RAD.
 It uses a sophisticated yet intuitive interface, which allows the user
 easily to create and build complex projects.
 A particular feature is its excellent code completion.

## codelite 13.0%2Bdfsg

=== Plugin/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)
 
# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project(plugin)

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" "${CL_SRC_ROOT}/sdk/wxsqlite3/include" "${CL_SRC_ROOT}/CodeLite" "${CL_SRC_ROOT}/PCH" "${CL_SRC_ROOT}/Interfaces")

## Macros
if(WIN32)
    add_definitions(-DWXMAKINGDLL_SDK)
endif(WIN32)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )


if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()

## On UNIX we require GTK
if (UNIX AND NOT APPLE)

    if (GTK_VERSION EQUAL 3)
        set(OLD_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}) # Cache the current value
        set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
        find_package(GTK3)
        set(CMAKE_MODULE_PATH ${OLD_CMAKE_MODULE_PATH}) # Reset, else the official path isn't used again :/
        if (GTK3_FOUND)
            include_directories(${GTK3_INCLUDE_DIRS})
        else (GTK3_FOUND)
            message(FATAL_ERROR "Could not locate GTK.")
        endif (GTK3_FOUND)
    else()
        find_package(GTK2)
        if (GTK2_FOUND)
            include_directories(${GTK2_INCLUDE_DIRS})
        else (GTK2_FOUND)
            message(FATAL_ERROR "Could not locate GTK.")
        endif (GTK2_FOUND)
    endif()

endif (UNIX AND NOT APPLE)

# Additional libraries for UNIX-like systems
set( ADDITIONAL_LIBRARIES "" )

if (UNIX)
    if ( IS_FREEBSD )
        set(ADDITIONAL_LIBRARIES "-lkvm")
    elseif ( UNIX AND NOT APPLE )
        set(ADDITIONAL_LIBRARIES "-ldl -lutil")
    else ( )
        set(ADDITIONAL_LIBRARIES "-ldl")
    endif ( )
elseif (WIN32)
    set(ADDITIONAL_LIBRARIES "-luxtheme")
endif ( )

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)

# Add RPATH
if(NOT MINGW AND WXC_APP)
    string( REPLACE "codelite" "wxcrafter" WXC_LIBS_DIR ${PLUGINS_DIR})
    set (LINKER_OPTIONS -Wl,-rpath,"${WXC_LIBS_DIR}")
    message( "-- libplugin.so is using RPATH set to ${WXC_LIBS_DIR}")
endif()

FILE(GLOB SRCS "*.cpp")

# Define the output
add_library(plugin SHARED ${SRCS})
if(GTK2_FOUND)
    target_link_libraries(plugin ${LINKER_OPTIONS} ${ADDITIONAL_LIBRARIES} ${GTK2_LIBRARIES} ${wxWidgets_LIBRARIES} -L"${CL_LIBPATH}" libcodelite)
elseif (GTK3_FOUND)
    target_link_libraries(plugin ${LINKER_OPTIONS} ${ADDITIONAL_LIBRARIES} ${GTK3_LIBRARIES} ${wxWidgets_LIBRARIES} -L"${CL_LIBPATH}" libcodelite)
else()
    target_link_libraries(plugin ${LINKER_OPTIONS} ${ADDITIONAL_LIBRARIES} ${wxWidgets_LIBRARIES} -L"${CL_LIBPATH}" libcodelite)
endif()

if (NOT MINGW)
    if(APPLE)
        install(TARGETS plugin DESTINATION ${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/)
        CL_INSTALL_NAME_TOOL_STD(${CMAKE_BINARY_DIR}/codelite.app/Contents/MacOS/libplugin.dylib)
    else()
        install(TARGETS plugin DESTINATION ${PLUGINS_DIR})
    endif()
else ()
    install(TARGETS plugin RUNTIME DESTINATION ${CL_PREFIX}/bin LIBRARY DESTINATION ${CL_PREFIX}/lib ARCHIVE DESTINATION ${CL_PREFIX}/lib)
endif()
CL_INSTALL_FILE_SHARED(${CL_SRC_ROOT}/Plugin/jsctags.zip)
